cmake_minimum_required(VERSION 3.14)

project(simplelog LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(NOT DEFINED CMAKE_DEBUG_POSTFIX)
  set(CMAKE_DEBUG_POSTFIX "d")
endif()
#if(NOT DEFINED CMAKE_RELEASE_POSTFIX)
#  set(CMAKE_RELEASE_POSTFIX "_release")
#endif()

add_library(simplelog STATIC
  simplelog.h
  simplelog.cpp
)

target_compile_definitions(simplelog PRIVATE SIMPLELOG_LIBRARY)
